Testing the upgrade to Qt 5.12



  • @dobey I see.
    Also to note, if no splash screen is used, the app icon is shown correctly



  • @dobey Let us know when we can do an update and retest stuffs 🙂



  • @dobey said in Testing the upgrade to Qt 5.12:

    Can you get stack traces?

    Which one ?. App logs don't have nothing. I can give the unity8.log but i think it is the same as my initial reply for the sfxr crash. Will do tomorrow if needed
    https://paste.ubuntu.com/p/khrnt9xc2R/



  • @dobey I am still getting one missing column in portrait on OnePlus 3T (getting 3, should 4), in landscape it is fixed now.



  • @lduboeuf I mean, if it's actually crashing, to get a stack trace you need to use gdb. I think you can do clickable debug now to debug remotely.



  • Updates after retesting:

    • Splash image in core apps look good now but it seems that the dimension logic is still different than the current one. My apps that use SVG splash images looks small like it's almost the same size as the icon (i.e. Palitan, Fluffy Chat). They should be displayed bigger.
    • Contacts bottom edge is working properly now.

    Others not mentioned are still the same



  • Today I have:

    • installed RC image (from System Settings)
    • removed some old apps
    • installed Dev image
    • Installed the updagrade

    I got this warning before installing it:

    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
      libqgsttools-p1 libqt5multimediaquick-p5 qtdeclarative5-accounts-plugin
      qtdeclarative5-folderlistmodel-plugin qtdeclarative5-localstorage-plugin
      qtdeclarative5-online-accounts-client0.1 qtdeclarative5-particles-plugin
      qtdeclarative5-qtcontacts-plugin qtdeclarative5-qtorganizer-plugin
      qtdeclarative5-qtquick2-plugin qtdeclarative5-ubuntu-mediascanner0.1
      qtdeclarative5-ubuntu-settings-components qtdeclarative5-window-plugin
      qtdeclarative5-xmllistmodel-plugin
    Use 'sudo apt autoremove' to remove them.
    

    and this after installing:

    The following packages will be REMOVED:
      libqgsttools-p1 libqt5multimediaquick-p5 qtdeclarative5-accounts-plugin
      qtdeclarative5-folderlistmodel-plugin qtdeclarative5-localstorage-plugin
      qtdeclarative5-online-accounts-client0.1 qtdeclarative5-particles-plugin
      qtdeclarative5-qtcontacts-plugin qtdeclarative5-qtorganizer-plugin
      qtdeclarative5-qtquick2-plugin qtdeclarative5-ubuntu-mediascanner0.1
      qtdeclarative5-ubuntu-settings-components qtdeclarative5-window-plugin
      qtdeclarative5-xmllistmodel-plugin
    0 upgraded, 0 newly installed, 14 to remove and 0 not upgraded.
    After this operation, 845 kB disk space will be freed.
    Do you want to continue? [Y/n] 
    

    (I say no)
    Full log: https://paste.ubuntu.com/p/ZfZdpz3MqF/



  • I have been testing some apps:
    Work:

    • OpenStore
    • Dialer
    • Address Book
    • Camera
    • Gallery
    • UTTT
    • System Settings
    • Linphone

    Crash after splash:

    • Calendar
    • Calculator
    • Weather
    • Clock

    I did a test with a clickable create qml app. Unconfined opens, confined crashed on start

    The only difference when doing clickable logs is:
    confined:
    Loading module: 'libubuntu_application_api_touch_mirclient.so.3.0.0'

    unconfined:

    Loading module: 'libubuntu_application_api_touch_mirclient.so.3.0.0'
    Creating a QMirClientScreen now
    


  • @CiberSheep That is not a warning, and it is correct behavior. Those packages will not be in the rootfs any more, after Qt 5.12 lands.



  • I found an another issue: apps are unable to save settings, settings are not saved after app restart. Settings from .config folder are loaded fine. Happens with Podbird, OpenStore, Quickddit and more
    Found in log from QQC2 Gallery app:

    file:///opt/click.ubuntu.com/qqc2-gallery.ubad/1.0.7/qml/Main.qml:67:5: QML Settings: Failed to initialize QSettings instance. Status code is: 1
    


  • @danqo6 Odd. It's working fine with Authenticator NG.

    Edit: Also just tried OpenStore and QQC2 Gallery, and both work fine (though scaling gets broken in the latter when switching to styles other than Suru).



  • @kugiigi said in Testing the upgrade to Qt 5.12:

    PDFs are blank in Document viewer except in slideshow mode. Libreoffice files crashes the app.

    OK. Finally tried this in my VM, and there's nothing in the log unfortunately. There was one issue about an undefined object, which I resolved to no avail.

    Looking at the source, it seems the poppler back-end requires qtdeclarative5-private-dev which means it likely must be re-compiled against Qt 5.12 to work.



  • @CiberSheep said in Testing the upgrade to Qt 5.12:

    Crash after splash:

    I'm unable to replicate a crash with any of these apps mentioned. Only thing close is Calculator which becomes frozen, apparently due to the changes regarding the JavaScript Object, and it cannot initialize the MathJS code.

    There are some issues with Calendar using the long-deprecated Tabs component, and week/month/year views overlaying on top of the tabs, along with some pre-existing warnings coming from uitk.

    Weather had a few warnings, but was otherwise working fine, and I've submitted a PR to fix the new warnings in it.

    Clock seems to work fine.

    All of these were tested on my Nexus 4.



  • @dobey I have update to latest dev and sudo ubports-qa update with same result.
    Anything useful I can send?



  • @CiberSheep Is there nothing in the log files for the apps? And nothing in the unity8.log file about them?



  • @dobey said in Testing the upgrade to Qt 5.12:

    unity8.log

    From unity8.log booted and try to open Sheep Counter (crashes):
    https://paste.ubuntu.com/p/ccJd2mjT8d/

    Clock (crashes):
    https://paste.ubuntu.com/p/fWkTjCvTwZ/

    OpenStore (opens):
    https://paste.ubuntu.com/p/25YDQ74ZCS/



  • @CiberSheep And there is no log file for sheepcounter itself? Does it not say anything useful if there is?



  • @dobey Nope. Nothing useful

    Loading module: 'libubuntu_application_api_touch_mirclient.so.3.0.0'
    

    I get the same for every confined app.



  • @CiberSheep That happens for all apps and is normal. What device is this on?



  • @dobey E5HD
    Any other log / test that could be helpful? I wouldn't know where to look


Log in to reply